mscorlib 4.0.0.0 System.Collections.Concurrent.Partitioner<TSource> TSource To be added.

The implementation of the derived class is responsible for ordering the elements into key-value pairs in whatever manner is appropriate. For more information, see Custom Partitioners for PLINQ and TPL.

Represents a particular manner of splitting an orderable data source into multiple partitions.

- Constructor
  4.0.0.0

  For more information, see Custom Partitioners for PLINQ and TPL.

  Called from constructors in derived classes to initialize the class with the specified constraints on the index keys.

  Indicates whether the elements in each partition are yielded in the order of increasing keys.
  Indicates whether elements in an earlier partition always come before elements in a later partition. If true, each element in partition 0 has a smaller order key than any element in partition 1, each element in partition 1 has a smaller order key than any element in partition 2, and so on.
  Indicates whether keys are normalized. If true, all order keys are distinct integers in the range [0 .. numberOfElements-1]. If false, order keys must still be distinct, but only their relative order is considered, not their absolute values.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<TSource>

  The returned object implements the interface. Calling on the object creates another partition over the sequence.

  The default implementation provides the same behavior as except that the returned set of partitions does not provide the keys for the elements.

  The method is only supported if the property returns true.

  For more information, see Custom Partitioners for PLINQ and TPL.

  Creates an object that can partition the underlying collection into a variable number of partitions.

  An object that can create partitions over the underlying data source.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<System.Int64,TSource>>

  The returned object implements the interface. Calling on the object creates another partition over the sequence.

  Each partition is represented as an enumerator over key-value pairs. The value in the pair is the element itself, and the key is an integer which determines the relative ordering of this element against other elements.

  The method is only supported if the property returns true.

  For more information, see Custom Partitioners for PLINQ and TPL.

  Creates an object that can partition the underlying collection into a variable number of partitions.

  An object that can create partitions over the underlying data source.

- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Collections.Generic.IEnumerator<System.Collections.Generic.KeyValuePair<System.Int64,TSource>>> ``

  Each partition is represented as an enumerator over key-value pairs.

  The value of the pair is the element itself, and the key is an integer which determines the relative ordering of this element against other elements in the data source.

  For more information, see Custom Partitioners for PLINQ and TPL.

  Partitions the underlying collection into the specified number of orderable partitions.

  A list containing enumerators.

  The number of partitions to create.
- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Collections.Generic.IEnumerator<TSource>> ``

  The default implementation provides the same behavior as except that the returned set of partitions does not provide the keys for the elements.

  For more information, see Custom Partitioners for PLINQ and TPL.

  Partitions the underlying collection into the given number of ordered partitions.

  A list containing enumerators.

  The number of partitions to create.
- Property
  4.0.0.0
  System.Boolean To be added.

  If returns true, all order keys are distinct integers in the range [0 .. numberOfElements-1]. If the property returns false, order keys must still be distinct, but only their relative order is considered, not their absolute values.

  For more information, see Custom Partitioners for PLINQ and TPL.

  Gets whether order keys are normalized.

- Property
  4.0.0.0
  System.Boolean To be added.

  If returns true, each element in partition 0 has a smaller order key than any element in partition 1, each element in partition 1 has a smaller order key than any element in partition 2, and so on.

  For more information, see Custom Partitioners for PLINQ and TPL.

  Gets whether elements in an earlier partition always come before elements in a later partition.

- Property
  4.0.0.0
  System.Boolean To be added.

  For more information, see Custom Partitioners for PLINQ and TPL.

  Gets whether elements in each partition are yielded in the order of increasing keys.